require 'json'

# Class which will listen for JSON events from an SNS queue
module Notifiable
  module Email
    module Ses
  		class Listener
        def event_recieved(json)
          json_event = JSON.parse(json)
          event_type = json_event["notificationType"]
          case event_type
          when "Delivery"
            recipients = json_event["delivery"]["recipients"]
            logger.info("Recipients #{recipients} recieved email.")
          else
            logger.info("Event #{event_type}.")
          end
        end
        
        private
        def logger
          @logger ||= Logger.new(STDOUT)
        end
      end
    end
  end
end